Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Interface GlacierPolicy

All Known Implementing Classes:
  GlacierDefaultPolicy

    public interface GlacierPolicy

Method Summary
`boolean` | `checkSignature(Manifest manifest, VersionKey key)`
`Manifest[]` | `createManifests(VersionKey key, PastContent obj, Fragment[] fragments, long expiration)`
`PastContent` | `decodeObject(Fragment[] fragments, Endpoint endpoint, PastContentDeserializer pcd)`
`Fragment[]` | `encodeObject(PastContent obj, boolean[] generateFragment)`
`void` | `prefetchLocalObject(VersionKey key, Continuation command)`
`Manifest` | `updateManifest(VersionKey key, Manifest manifest, long newExpiration)`

Method Detail

### checkSignature

    boolean checkSignature(Manifest manifest,
                           VersionKey key)

### encodeObject

    Fragment[] encodeObject(PastContent obj,
                            boolean[] generateFragment)

### createManifests

    Manifest[] createManifests(VersionKey key,
                               PastContent obj,
                               Fragment[] fragments,
                               long expiration)

### updateManifest

    Manifest updateManifest(VersionKey key,
                            Manifest manifest,
                            long newExpiration)

### decodeObject

    PastContent decodeObject(Fragment[] fragments,
                             Endpoint endpoint,
                             PastContentDeserializer pcd)

### prefetchLocalObject

    void prefetchLocalObject(VersionKey key,
                             Continuation command)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.